<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/audiohome_background">

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentRight="true"
        android:layout_marginTop="44dp"
        android:layout_marginRight="@dimen/platform_dp_15"
        android:background="@drawable/audioim_border_white_kefu"
        android:gravity="center_vertical"
        android:visibility="gone"
        android:orientation="horizontal">

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="8dp"
            android:layout_marginTop="5dp"
            android:layout_marginBottom="5dp"
            android:src="@drawable/audioim_kefu" />

        <TextView
            android:id="@+id/jump_kefu"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="3dp"
            android:layout_marginTop="5dp"
            android:layout_marginRight="8dp"
            android:layout_marginBottom="5dp"
            android:text="联系客服"
            android:textColor="@color/white"
            android:textSize="13sp" />
    </LinearLayout>


    <RelativeLayout
        android:id="@+id/rl_head"
        android:layout_width="250dp"
        android:layout_height="270dp"
        android:layout_centerHorizontal="true"
        android:layout_marginTop="60dp">

        <com.ydl.ydlcommon.view.WaveView
            android:id="@+id/wave_view"
            android:layout_width="250dp"
            android:layout_height="250dp"
            android:layout_centerInParent="true" />

        <ImageView
            android:layout_width="126dp"
            android:layout_height="126dp"
            android:layout_centerInParent="true"
            android:background="@drawable/audioim_head_background" />

        <ImageView
            android:id="@+id/iv_head"
            android:layout_width="120dp"
            android:layout_height="120dp"
            android:layout_centerInParent="true"
            android:scaleType="centerCrop"
            android:src="@drawable/audioim_head_place_hold_pic" />

        <TextView
            android:id="@+id/tv_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@+id/iv_head"
            android:layout_centerHorizontal="true"
            android:layout_marginTop="@dimen/platform_dp_12"
            android:textColor="@color/white"
            android:textSize="22sp"
            tools:text="留意" />

        <TextView
            android:id="@+id/tv_tips"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@+id/tv_name"
            android:layout_centerHorizontal="true"
            android:layout_marginLeft="25dp"
            android:layout_marginTop="@dimen/platform_dp_10"
            android:layout_marginRight="25dp"
            android:ellipsize="end"
            android:gravity="center"
            android:maxLines="2"
            android:text="正在等待聆听者接受邀请…"
            android:textColor="@color/platform_color_70FFFFFF"
            android:textSize="12sp" />

    </RelativeLayout>
    <!-- 倾诉剩余时间-->
    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/rl_remain_time"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@+id/rl_head"
        android:visibility="gone"
        tools:visibility="visible">

        <TextView
            android:id="@+id/tv_notes"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="剩余时长："
            android:textColor="@color/white"
            android:textSize="18sp"
            app:layout_constraintEnd_toStartOf="@+id/tv_remain_time"
            app:layout_constraintHorizontal_chainStyle="packed"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/tv_remain_time"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="11dp"
            android:layout_toRightOf="@+id/tv_notes"
            android:text="23:23"
            android:textColor="@color/white"
            android:textSize="18sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@+id/tv_notes"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/tv_totalDuration"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@+id/tv_notes"
            android:layout_marginTop="4dp"
            android:text="（满25分钟自动挂断,限24小时内拨打）"
            android:textColor="#60ffffff"
            android:textSize="16sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/tv_remain_time" />
    </androidx.constraintlayout.widget.ConstraintLayout>


    <TextView
        android:id="@+id/tv_tips1"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@+id/rl_remain_time"
        android:layout_centerHorizontal="true"
        android:layout_marginLeft="25dp"
        android:layout_marginTop="@dimen/platform_dp_10"
        android:layout_marginRight="25dp"
        android:ellipsize="end"
        android:gravity="center"
        android:maxLines="2"
        android:textColor="@color/white"
        android:textSize="15sp" />


    <TextView
        android:id="@+id/tv_change_doctor"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_above="@id/ll_three_icon"
        android:layout_centerHorizontal="true"
        android:layout_marginBottom="48dp"
        android:gravity="center"
        android:text="聆听者长时间未接听，\n您可以点击右上角切换线路，或者挂断换一位"
        android:textColor="@color/white"
        android:visibility="gone" />

    <TextView
        android:id="@+id/tv_waiting"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_above="@+id/ll_three_icon"
        android:layout_centerHorizontal="true"
        android:layout_marginBottom="50dp"
        android:text="正在等待聆听者接受邀请…"
        android:textColor="@color/platform_color_70FFFFFF"
        android:textSize="12sp"
        android:visibility="gone"
        tools:visibility="gone" />

    <LinearLayout
        android:id="@+id/ll_changeRoute"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_above="@id/ll_three_icon"
        android:layout_centerHorizontal="true"
        android:layout_marginBottom="@dimen/platform_dp_88"
        android:gravity="center"
        android:orientation="vertical">

        <ImageView
            android:id="@+id/iv_change_route"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@drawable/iv_change_route"></ImageView>

        <TextView
            android:id="@+id/tv_change_time_counter"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignBaseline="@+id/tv_change_route"
            android:layout_toLeftOf="@+id/tv_change_route"
            android:textColor="#60ffffff"
            android:textSize="15dp"
            tools:text="转传统电话(60s)" />

    </LinearLayout>

    <LinearLayout
        android:id="@+id/ll_three_icon"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_marginBottom="@dimen/platform_dp_18"
        android:orientation="horizontal">
        <!--静音按钮-->
        <LinearLayout
            android:id="@+id/rl_mute_on_off"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="center"
            android:orientation="vertical">

            <ImageView
                android:id="@+id/iv_mute_on_off"
                android:layout_width="66dp"
                android:layout_height="66dp"
                android:layout_marginTop="1dp"
                android:src="@drawable/audioim_home_muteon_enable"
                android:visibility="visible" />

            <TextView
                android:id="@+id/audio_mute_text"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:text="麦克风已开"
                android:textColor="@color/white"
                android:textSize="12sp" />

        </LinearLayout>
        <!--挂断按钮-->
        <LinearLayout
            android:id="@+id/rl_hang_up"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="center"
            android:orientation="vertical">

            <FrameLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content">

                <ImageView
                    android:id="@+id/iv_hang_up"
                    android:layout_width="66dp"
                    android:layout_height="66dp"
                    android:layout_centerHorizontal="true"
                    android:layout_marginTop="1dp"
                    android:src="@drawable/audioim_img_hang_up_unuse"
                    android:visibility="visible" />

                <com.ydl.ydlcommon.view.ProgressView
                    android:id="@+id/progress_view"
                    android:layout_width="70dp"
                    android:layout_height="70dp"
                    app:pa_progressBackColor="#45E6AB"
                    app:pa_progressWidth="4dp" />
            </FrameLayout>

            <TextView
                android:id="@+id/audio_hangup_text"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/iv_hang_up"
                android:layout_centerHorizontal="true"
                android:layout_marginTop="8dp"
                android:text="挂断"
                android:textColor="@color/white"
                android:textSize="12sp" />
        </LinearLayout>

        <!-- 免提按钮-->
        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="center"
            android:orientation="vertical">

            <ImageView
                android:id="@+id/iv_hands_free"
                android:layout_width="66dp"
                android:layout_height="66dp"
                android:src="@drawable/audioim_img_hands_free_unuse" />

            <TextView
                android:id="@+id/hands_free_text"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/iv_hands_free"
                android:layout_marginTop="8dp"
                android:text="扬声器已关"
                android:textColor="@color/white"
                android:textSize="12sp" />
        </LinearLayout>
    </LinearLayout>


    <!--自定义弹窗-->
    <TextView
        android:id="@+id/tv_toast"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@+id/tv_tips1"
        android:layout_centerHorizontal="true"
        android:layout_marginTop="34dp"
        android:background="@drawable/audioim_toast_view_background"
        android:elevation="6dp"
        android:paddingLeft="11dp"
        android:paddingTop="4dp"
        android:paddingRight="11dp"
        android:paddingBottom="4dp"
        android:textColor="@color/white"
        android:visibility="gone"
        tools:text="已接通"
        tools:visibility="visible" />


    <TextView
        android:id="@+id/tv_nte_status"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@+id/tv_tips1"
        android:layout_centerHorizontal="true"
        android:layout_marginTop="70dp"
        android:background="@drawable/audioim_toast_view_background"
        android:drawableLeft="@drawable/av_audio_wifi_better"
        android:elevation="6dp"
        android:paddingLeft="11dp"
        android:paddingTop="4dp"
        android:paddingRight="11dp"
        android:paddingBottom="4dp"
        android:textColor="@color/white"
        android:visibility="gone"
        tools:text="对方的网络状况不佳"
        tools:visibility="visible" />

</RelativeLayout>
